.custom-note {
    margin-bottom: 1em;
    border: 1px solid var(--border);
    border-radius: 4px;
    overflow: hidden;
}

.custom-note summary {
    padding: 10px 15px;
    cursor: pointer;
    background-color: var(--entry);
    font-weight: bold;
    transition: background-color 0.3s;
}

.custom-note summary:hover {
    background-color: var(--border);
}

.custom-note[open] summary {
    border-bottom: 1px solid var(--border);
}

.custom-note .note-content {
    padding: 15px;
    background-color: var(--entry);
}

/* Styling the arrow */
.custom-note summary::marker,
.custom-note summary::-webkit-details-marker {
    display: none;
}

.custom-note summary::after {
    content: '▼';
    float: right;
    transition: transform 0.3s;
}

.custom-note[open] summary::after {
    transform: rotate(180deg);
}

/* Optional: Different styles for different note types */
.custom-note.info {
    border-left: 4px solid #3498db;
}

.custom-note.warning {
    border-left: 4px solid #f39c12;
}

.custom-note.danger {
    border-left: 4px solid #e74c3c;
}